com.microfocus.awm.meta.impl

## Class DynamicObjectImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - com.microfocus.awm.meta.impl.AWMObjectImpl
        - - com.microfocus.awm.meta.impl.DynamicObjectImpl

- All Implemented Interfaces:
    AWMObject, DynamicObject, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject
  Direct Known Subclasses:
    ComplexAttributeBaseImpl, FunctionPackageImpl, RToolParameterImpl, ToolDescriptorImpl

      public abstract class DynamicObjectImpl
      extends AWMObjectImpl
      implements DynamicObject

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

      `ELAST_EOBJECT_FLAG`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ComplexAttributeBase>` | `getComplexAttributes()` Gets the list of modelled complex attributes of this object.
    `java.util.List<org.eclipse.emf.ecore.EStructuralFeature>` | `getDynamicAttributes()` Gets all dynamic attributes from this object.
    `java.lang.Object` | `getDynamicValue(java.lang.String pAttrID)` Gets the value of the given attribute ID or `null` if the attribute does not exist or does not have a value.
    `void` | `setDynamicValue(java.lang.String pAttrID, java.lang.Object pNewValue)` Sets the value of the attribute with the given ID.

    - ### Methods inherited from class com.microfocus.awm.meta.impl.AWMObjectImpl

      `eGet, eIsSet, eSet, eUnset, getComment, isSetComment, setComment, toString, unsetComment`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

      `eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### getDynamicValue

          public java.lang.Object getDynamicValue(java.lang.String pAttrID)

      Description copied from interface: `DynamicObject`
      Gets the value of the given attribute ID or `null` if the attribute does not exist or does not have a value.
      Specified by:
        `getDynamicValue` in interface `DynamicObject`
      Parameters:
        `pAttrID` - the ID of the desired attribute
      Returns:
        the value (can be `null`)

    - #### getDynamicAttributes

          public java.util.List<org.eclipse.emf.ecore.EStructuralFeature> getDynamicAttributes()

      Description copied from interface: `DynamicObject`
      Gets all dynamic attributes from this object. Can be an empty list.
      Specified by:
        `getDynamicAttributes` in interface `DynamicObject`
      Returns:
        dynamic features (can be an empty list)

    - #### getComplexAttributes

          public java.util.List<ComplexAttributeBase> getComplexAttributes()

      Description copied from interface: `DynamicObject`
      Gets the list of modelled complex attributes of this object.
      Specified by:
        `getComplexAttributes` in interface `DynamicObject`
      Returns:
        the list of complex attributes. Can be empty.

    - #### setDynamicValue

          public void setDynamicValue(java.lang.String pAttrID,
                                      java.lang.Object pNewValue)

      Description copied from interface: `DynamicObject`
      Sets the value of the attribute with the given ID.
      Specified by:
        `setDynamicValue` in interface `DynamicObject`
      Parameters:
        `pAttrID` - the ID of the attribute
        `pNewValue` - the new value

Copyright © 2015 Micro Focus GmbH. All rights reserved.